#!/bin/sh 
 
 # pluginsdir="/etc/vdrtmpfs/plugins" 
 pgrep="/usr/bin/pgrep" 
 nvramwakeup="/usr/bin/nvram-wakeup" 
 netcat="/usr/bin/netcat" 
 
 scriptname=`basename $0` 
 nvramreboot="yes" 
 
 
 power_off () { 
 rm /var/softreboot 
 killall -q vdr 
 } 
 
 
 vdrecho () { 
 if [ -x "$netcat" ] 
 then 
   echo "MESG $1" | $netcat -q 1 127.0.0.1 2001 
 else 
   echo $1 
 fi 
 } 
 
 
 if [ -e "$pluginsdir/encode.vdrrip" ] 
 then 
   pids=`"$pgrep" -d" " "$scriptname"` 
   pid1=`echo "$pids" | cut -d" " -f1` 
   pid2=`echo "$pids" | cut -d" " -f3` 
 
   if [ "$pid1" != "$pid2" ] 
   then 
     vdrecho "Une procdure d'arrt est dj en cours..." 
     exit 
   else 
     vdrecho "L'arrt du PC aprs l'encodage est activ..." 
     while [ -e "$pluginsdir/encode.vdrrip" ] 
     do 
       sleep 60 
     done 
 
     echo "HITK Power" | $netcat -q 1 127.0.0.1 2001 
     exit 
   fi 
 else 
   if [ -x "$nvramwakeup" -a "$1" != "0" ] 
   then 
     if [ "$nvramreboot" = "yes" ] 
     then 
       $nvramwakeup -ls $1 
       lilo -R PowerOff 
       killall -q vdr 
     else 
       $nvramwakeup -ls $1 
      power_off 
     fi 
   else 
     power_off 
   fi 
 fi 